Name:		netrek-client-cow
Version:	3.3.2
Release:	%mkrel 4
Summary:	Netrek client
License:	MIT
Group:		Games/Other
Source0:	https://netrek.org/files/COW/%{name}-%{version}.tar.gz
Source1:	%{name}.6
URL:		https://www.netrek.org/

BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(imlib2)
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	gmp-devel


%description
This is a client for the multiplayer game of Netrek, supporting sound,
color bitmaps, and recording and playback of games. The game itself has 
existed since 1988, and had a solid player-base, including some 
people who have been playing for nearly as long as the game has existed.


%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="%{optflags} -std=gnu17"
# Disable preprocessor line numbers to fix gmp detection
%configure CPPFLAGS=-P

#Package doesn't support concurrent make's yet. Forcing "-j1".
%__make

%install
%make_install

#Remove execute on .desktop file. Reported upstream.
chmod -x %{buildroot}%{_datadir}/applications/%{name}.desktop
install -p -m 0644 %{SOURCE1} -D %{buildroot}/%{_mandir}/man6/%{name}.6

%files
# "COPYING" is a list of authors, and not the GPL license.
%doc ChangeLog COPYING README.html README.3.01 TODO *.DOC XTREKRC.example
%doc cow.html newbie.html cow.css stars.gif netrekrc.example
%{_gamesbindir}/%{name}
%{_datadir}/pixmaps/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man6/*.6*
%license copyright.h copyright2.h


%changelog
* Wed May 21 2025 ns80 <ns80> 3.3.2-4.mga10
+ Revision: 2185514
- try to fix building with GCC 15

* Fri Apr 01 2022 umeabot <umeabot> 3.3.2-3.mga9
+ Revision: 1839863
- Mageia 9 Mass Rebuild

* Wed Aug 05 2020 joequant <joequant> 3.3.2-2.mga8
+ Revision: 1611168
- revert arm

* Sat May 16 2020 solbu <solbu> 3.3.2-1.mga8
+ Revision: 1584690
- Include licenses in license dir
- Cleanout obsolete documentation
- New version: 3.3.2
- Drop patch0: Merged upstream

* Thu Feb 13 2020 umeabot <umeabot> 3.3.1-9.mga8
+ Revision: 1515359
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 3.3.1-8.mga7
+ Revision: 1299716
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 3.3.1-7.mga7
+ Revision: 1239440
- fix build on aarch64

* Wed Jan 06 2016 danf <danf> 3.3.1-6.mga6
+ Revision: 919954
- Added no-inline.patch and CPPFLAGS to fix build on gcc 5.3.1

* Wed Oct 15 2014 umeabot <umeabot> 3.3.1-5.mga5
+ Revision: 750070
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.3.1-4.mga5
+ Revision: 682858
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.3.1-3.mga4
+ Revision: 508305
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 01 2012 shlomif <shlomif> 3.3.1-1.mga2
+ Revision: 216531
- imported package netrek-client-cow


* Thu Mar 01 2012 Johnny A. Solbu <solbu@mandriva.org> 3.3.1-1
- Package doesn't support concurrent builds.
- Remove execute perm on desktop file
- Adding manfile, from Debian
- Initial release
